Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5624 - fdisk and DAC960 driver problem
Summary: fdisk and DAC960 driver problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL: http://katz.linuxpower.org/lorax-arch...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-06 13:28 UTC by James Manning
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 23:44:21 UTC


Attachments (Terms of Use)

Description James Manning 1999-10-06 13:28:23 UTC
This is on a Lorax 6.0.50 machine (will upgrade ASAP and
check that)

(3) Mylex DAC1164P's
   (1) exporting a 10x36.4GB raid5 array
   (2) exporting a 20x18.2GB raid5 array

# fdisk -l /dev/rd/c[012]d0

Disk /dev/rd/c0d0: 128 heads, 32 sectors, 7788 cylinders
Units = cylinders of 4096 * 512 bytes
Disk /dev/rd/c1d0: 128 heads, 32 sectors, 7788 cylinders
Units = cylinders of 4096 * 512 bytes
Disk /dev/rd/c2d0: 128 heads, 32 sectors, 7788 cylinders
Units = cylinders of 4096 * 512 bytes

# bc -q
7788*4096*512/(1024*1024*1024)
15


If I make a partition, it sure enough only ends up being a
15GB filesystem... If I mke2fs on the /dev/rd/c0d0 instead
of a partition, I get the full ~270GB filesystem (losing 2
drives since the 10 drives are in 2 packs of 5 in the
config)

[root@spiral ~]# df -h /raid5-*
Filesystem            Size  Used Avail Use% Mounted on
/dev/rd/c0d0          267G  258G  8.9G  97% /raid5-1
/dev/rd/c1d0          267G  246G   21G  92% /raid5-2
/dev/rd/c2d0          267G  199G   68G  74% /raid5-3

I'd imagine fdisk to be at fault since an ext2 on the
drive is the right size... *shrug* or is it neither the DAC
driver or fdisk at fault?

Comment 1 Cristian Gafton 1999-10-06 16:39:59 UTC
what version of util-linux are you running? Kernel version? etc...
Can you try 6.1 on that computer?

------- Additional Comments From   10/12/99 00:14 -------
To: jmm@raleigh.ibm.com
Date: Fri, 8 Oct 1999 13:44:42 -0700
From: "Leonard N. Zubkoff" <lnz@dandelion.com>
Subject: Re: fdisk and DAC960 driver

I believe you're running into the problem where with the 2GB (128/32)
geometry you run out of cylinders numbers.  Using the 8GB (255/63)
geometry allows one to go much larger.

                Leonard

Comment 2 James Manning 1999-11-18 11:57:59 UTC
Please feel free to mark this bug resolved, as Leonard was right and
switching the DAC1164P to 8GB disk geometry fixed the problem.

Comment 3 Cristian Gafton 2000-01-04 22:25:59 UTC
Assigned to dledford

Comment 4 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford


Note You need to log in before you can comment on or make changes to this bug.